#include "specification1.h"

//? ListeDevis ou ListeDevis* ?
ListeDevis rechListeDevis(char typeTravaux[], Offre *offre)
{
    if(strcmp(offre->travaux,typeTravaux) == 0)
        return offre->listeDevis;
    else
        rechListeDevis(typeTravaux, offre->suivant);
}

//~~~~~~~~~~~~PARTIE 1~~~~~~~~~~~~


/**
* \brief 			Afficher l'ensemble des devis pour un type de travaux
* \param[out] 	*l  pointeur sur le maillonDevis
*/
void Affiche(ListeDevis l)
{
            printf("#######################################################################\n");
            printf("Devis n°%d\n",l->devis.numDevis);
            printf("Nom de l'entreprise : %s\n",l->devis.nomEntreprise);
            printf("Type de travaux : %s\n",l->devis.typeTravaux);
            printf("Montant du devis : %d\n",l->devis.montant);
            printf("Date de création : %d/%d/%d\n",l->devis.dateDevis.jour,l->devis.dateDevis.mois,l->devis.dateDevis.annee);
            printf("Date de début des travaux : %d/%d/%d\n",l->devis.dateDebutTravaux.jour,l->devis.dateDebutTravaux.mois,l->devis.dateDebutTravaux.annee);
            printf("Date de fin des travaux : %d/%d/%d\n",l->devis.dateFinTravaux.jour,l->devis.dateFinTravaux.mois,l->devis.dateFinTravaux.annee);
            printf("Etat du devis : %d\n",l->devis.etat);
            printf("Commentaire : %s\n",l->devis.commentaire);
            printf("######################################################################\n");
}

/**
* \brief 			Afficher l'ensemble des devis pour un type de travaux
* \param[out] 	*l  pointeur sur le maillonDevis
*/
void AfficheDevis(ListeDevis l)
{
    if(l == NULL)
    {
        printf("Liste vide.\n");
    }
    else
    {
        while(l != NULL)
        {
            Affiche(l);
            l = l->suivant;
        }
    }
}

/**
* \brief 			    Afficher le devis d'une entreprise donnée pour un type de travaux donnée
* \param[out] 	*l      pointeur sur le maillonDevis
* \param[in]    entr    nom de l'entreprise
*/

void AfficheDevisE(ListeDevis l, char entr)
{
    if(l == NULL)
    {
        printf("Liste vide.\n");
    }
    else
    {
        while(l != NULL)
        {
            if(strcmp(l->devis.nomEntreprise,entr) == 0)
            {
                Affiche(l);
            }
            l = l->suivant;
        }
    }
}